## org.beepcore.beep.profile.sasl
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.profile.sasl.SASLException
                      org.beepcore.beep.profile.sasl.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationException
extends SASLException

This is the general superclass for all exceptions pertaining to configuration issues for SASL.

See Also:
  Serialized Form

Constructor Summary
`ConfigurationException(java.lang.String message)`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(java.lang.String message)

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.